package com.jasamedika.medifirst2000.etl.pasien.constant;

import lombok.Getter;

/**
 * @author Salman
 * @version 1.0.0
 * @since 21 Oct 2023
 */
public enum HubunganKeluarga {
    AYAH(1, "Ayah"),
    IBU(2, "Ibu"),
    ANAK(3, "Anak"),
    SUAMI(4, "Suami"),
    ISTRI(5, "Istri");

    private final long id;

    @Getter
    private final String name;

    HubunganKeluarga(long id, String name) {
        this.id = id;
        this.name = name;
    }

    public long id() {
        return this.id;
    }

    @Override
    public String toString() {
        return Long.toString(id);
    }

    public static HubunganKeluarga valueOf(long id) {
        for (HubunganKeluarga hubunganKeluarga : values()) {
            if (hubunganKeluarga.id == id) {
                return hubunganKeluarga;
            }
        }
        throw new IllegalArgumentException("No matching constant for [" + id + "]");
    }
}
